import { html } from '@microsoft/fast-element';
import { JSONForms } from '../jsonforms/json-forms';
import { ControlWrapper } from '../jsonforms/renderers/ControlWrapperRenderer';
import { DispatchRenderer } from '../jsonforms/renderers/dispatch-renderer';
JSONForms;
ControlWrapper;
DispatchRenderer;
/** @internal */
export const getPrefixedFilters = (prefix) => html `
  <template>
    <div class="container" part="container">
      <div class="container-forms" part="container-forms">
        <json-forms
          :renderers=${(x) => x.renderers}
          :uischema=${(x) => x.uischema}
          :schema=${(x) => x.jsonSchema}
          :data=${(x) => x.data}
          :prefix=${(x) => x.prefix}
          @data-change=${(x, c) => x.onChange(c.event)}
        ></json-forms>
      </div>
      <div class="actions" part="actions">
        <${prefix}-button
          @click="${(x) => x.clearFiltersData()}"
          class="action-button"
          appearance="neutral"
          data-test-id="clear-filters-button"
        >
          Clear
        </${prefix}-button>
        <${prefix}-button
          @click="${(x) => x.searchFilters()}"
          data-test-id="search-filters-button"
          class="action-button"
          appearance="accent"
        >
          Search
        </${prefix}-button>
      </div>
    </div>
  </template>
`;
/** @internal */
export const foundationFiltersTemplate = html `
  ${(x) => getPrefixedFilters(x.prefix)}
`;
